[CaseDiagnosticTool]
DLL_ExInterface=1
SelfVersion=1

[Common]
ProductName=Trend Micro OfficeScan Server
MaxVersion=11.00
MinVersion=10.65
ProductVersion=$(32:HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\OfficeScan\service\Information\Server_Version)
PatternVersion=$(32:HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\Misc.\PatternVer)
EngineVersion=$(32:HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\Misc.\EngineZipVer)
InstallDateTime=$(32:HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\InstDate) $(32:HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\InstTime)

[Category1]
ProblemType=Basic Information
Events=1

[Category2]
ProblemType=Installation & Uninstallation
Events=2,3,4,5

[Category3]
ProblemType=Upgrade & Patch & Hotfix
Events=6,7

[Category4]
ProblemType=Functionality
Events=8,9,10,11,17,18,19,20,21,22,23,24

[Category5]
ProblemType=Update & Deployment
Events=12,13,14

[Category6]
ProblemType=Enterprise Firewall
Events=15

[Category7]
ProblemType=Performance Issue
Events=16

[Category8]
ProblemType=Smart Protection Network
Events=18,19,25

[Category9]
ProblemType=Widget & Plug-in Manager
Events=26,27,28

[Category10]
ProblemType= TMSM information
Events=29,30,31,32

[Event1]
EventName=Collect OfficeScan Server basic debug information
EventFile=$(OsceDebugLog);$(OFCSCAN_INI);$(OFCSERVER_INI);$(Component_INI);$(SSCFG_INI);$(Log66);$(Log98);$(Log99);$(Log107);$(Log108);$(Log5);$(Log6)
ModuleName=OSCEServer

[Event2]
EventName=Server local/remote installation
EventFile=$(Log1);$(Log97)

[Event3]
EventName=Server silent installation
EventFile=$(Log1);$(Log2);$(Log3);$(Log97)

[Event4]
EventName=Trend Micro Control Manager Agent (TMCM Agent) installation
EventFile=$(Log4);$(Log5);$(Log6);$(Log7);$(Log8)

[Event5]
EventName=Uninstall competitors
EventFile=$(Log9);$(Log10)

[Event6]
EventName=Server upgrade
EventFile=$(Log1);$(Log11);$(Log97)

[Event7]
EventName=Server patch installation
EventFile=$(Log12)

[Event8]
EventName=Server database issue
EventFile=$(Log20)
ModuleName=OSCEServer

[Event9]
EventName=Collect IIS/Apache log
EventFile=$(Log21);$(Log22);$(Log109)

[Event10]
EventName=Connectivity
EventFile=$(Log23)

[Event11]
EventName=AutoPcc configuration
EventFile=$(Log25);$(Log26)

[Event12]
EventName=Server update
EventFile=$(Log30);$(Log31)
ModuleName=AU

[Event13]
EventName=Deployment from server
EventFile=$(Log21);$(Log22);$(Log23);$(Log24);$(Log27)

[Event14]
EventName=Deployment from Trend Micro Control Manager (TMCM)
EventFile=$(Log4);$(Log5);$(Log6);$(Log76)

[Event15]
EventName=Firewall policy & profile
EventFile=$(Log37);$(Log38);$(Log21);$(Log22)

[Event16]
EventName=Crash/Hang/BSoD
EventFile=$(Log40);$(Log41);$(Log42);$(Log43)

[Event17]
EventName=Trend Micro Control Manager (TMCM) communication
EventFile=$(Log4);$(Log5);$(Log6);$(Log8);$(Log44);$(Log76)
ModuleName=CMAgent

[Event18]
EventName=Collect integrated Smart Scan Server debug information without patterns
EventFile=$(Log45);$(Log46);$(Log47);$(Log48);$(Log49);$(Log50);$(Log64);$(Log93);$(Log96);$(Log110);$(Log111)
ModuleName= FRS

[Event19]
EventName=Collect integrated Smart Scan Server debug information with patterns
EventFile=$(Log45);$(Log46);$(Log47);$(Log48);$(Log49);$(Log50);$(Log51);$(Log52);$(Log64);$(Log94);$(Log93);$(Log96);$(Log110);$(Log111)
ModuleName= FRS

[Event20]
EventName=Problems with Role-Based Administration
EventFile=$(OsceDebugLog);$(Log53)
ModuleName=OSCEServer

[Event21]
EventName=Problems with Active Directory synchronization
EventFile=$(OsceDebugLog);$(OFCSERVER_INI);$(Log54);$(Log55);$(Log56)
ModuleName=OSCEServer

[Event22]
EventName=Problems with custom client groups
EventFile=$(OsceDebugLog);$(OFCSERVER_INI);$(Log57)
ModuleName=OSCEServer

[Event23]
EventName=Problems with outside server management
EventFile=$(OsceDebugLog);$(OFCSERVER_INI);$(Log58)
ModuleName=OSCEServer

[Event24]
EventName=Problems with Compliance Report
EventFile=$(OsceDebugLog);$(OFCSERVER_INI);$(Log59);$(Log60)
ModuleName=OSCEServer

[Event25]
EventName=Collect integrated Web Reputation Service debug information
EventFile=$(Log61);$(Log65);$(Log90);$(Log94);$(Log95)
ModuleName=LWCS

[Event26]
EventName=Collect Data Access Layer debug information
EventFile=$(Log67);$(Log75)
ModuleName=DAL

[Event27]
EventName=Collect Widget Framework debug information
EventFile=$(Log68);$(Log69);$(Log75)
ModuleName=WidgetFx

[Event28]
EventName=Collect Plug-in Manager installation information
EventFile=$(Log70);$(Log71);$(Log72);$(Log73);$(Log74);$(Log75)

[Event29]
EventName=Collect TMSM debug information
EventFile=$(Log77);$(Log78);$(Log79);$(Log80);$(Log81);$(Log82);$(Log84);$(Log85);$(Log86);$(Log87);$(Log92)

[Event30]
EventName=Collect TMSM apache-activemq information
EventFile=$(Log83)

[Event31]
EventName=Collect SQL Log for TMSM 
EventFile=$(Log84);$(Log91);$(Log104)
RegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft SQL Server;HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Microsoft SQL Server

[Event32]
EventName=Collect Misc. Log for TMSM 
EventFile=$(Log100);$(Log101);$(Log102);$(Log103);$(Log105);$(Log106);$(Log112);$(Log113);$(Log114);$(Log115)

[Variables]
HomeDir=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\OfficeScan\service\Information\Local_Path)
RegRootKey=HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro
HomeSqlDir=$(32:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft SQL Server\90\VerSpecificRootDir)
HomeSql2k8Dir=$(32:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft SQL Server\100\VerSpecificRootDir)
HomeTMSMSqlDir=$(32:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft SQL Server\TMSM\Setup\SQLPath)
SystemRootDir=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\SystemRoot)
TMSMHomeDir=$(HomeDir)\..\Addon\TMSM
PluginDir=$(HomeDir)..\Addon;C:\Windows\System32\drivers;C:\Windows\SysWOW64\drivers;C:\Windows\System32\tmumh;C:\Windows\SysWOW64\tmumh;C:\Windows\Sysnative\dgagent
DrWtsn32Path=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DrWatson\LogFilePath)
MemoryDump=$(HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\CrashControl\DumpFile)
UserDump=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DrWatson\CrashDumpFile)

;Please do not modify OSCE_DEBUG_LOG, it is used by DLL extension interface
OSCE_DEBUG_LOG=$(HomeDir)\Log\OfcDebug.log
;There are OfcDebug.log and probably OfcDebug.log.MM_DD_hh_mm_ss splitted log files to collect
OsceDebugLog=$(OSCE_DEBUG_LOG).*

OFCSCAN_INI=$(HomeDir)\ofcscan.ini
SSCFG_INI=$(HomeDir)\sscfg.ini
OFCSERVER_INI=$(HomeDir)\Private\Ofcserver.ini
Component_INI=$(HomeDir)\Private\Component.ini

Log1=$(Windir)\Ofcmas.log
Log2=$(SystemDrive)\setup.log
Log3=$(SystemDrive)\Setup.iss
Log4=$(SystemDrive)\CMAgent_Debug.log
Log5=$(HomeDir)\CMAgent\Agent.ini
Log6=$(HomeDir)\CMAgent\Product.ini
Log7=$(HomeDir)\CMAgent\ProductUI.zip
Log8=$(HomeDir)\CMAgent\cmagentdebug.log
Log9=$(Windir)\Ofcnt.log
Log10=$(HomeDir)\Admin\Tmuninst.ptn

Log11=$(SystemDrive)\Trend_Backup
Log12=$(SystemDrive)\TmPatch.log

Log20=$(HomeDir)\HTTPDB\*.* /S
Log21=$(Windir)\System32\LogFiles\W3SVC* /S
Log22=$(HomeDir)\Apache2\logs\*.*
Log23=$(HomeDir)\Log\verconn.log
Log24=$(HomeDir)\Log\PTNDP*.log
Log25=$(HomeDir)\Autopcc.cfg\*.* /S
Log26=$(HomeDir)\Admin\INSTNT.INI
Log27=$(HomeDir)\Log\update.log


Log30=$(HomeDir)\Web\Service\AU_Data\AU_Log\TmuDump.txt
Log31=$(HomeDir)\Download\Server.ini

Log37=$(HomeDir)\Private\PFW\*.DAT
Log38=$(HomeDir)\Download\OfcPfw*.dat

Log40=$(DrWtsn32Path)\DrWtsn32.log
Log41=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\DrWtsn32.log
Log42=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\user.dmp
Log43=$(SystemRoot)\MEMORY.DMP
Log44=$(HomeDir)\CMAgent\OSCE_Client.txt

Log45=$(HomeDir)\Private\ofcserver.ini
Log46=$(HomeDir)\WSS\AU.ini
Log47=$(HomeDir)\WSS\PatternVersion.ini
Log48=$(HomeDir)\WSS\UpdatePattern.ini
Log49=$(HomeDir)\WSS\*.log*
Log50=$(HomeDir)\WSS\AU_Data\AU_Log\TmuDump.txt
Log51=$(HomeDir)\WSS\activeupdate\*.* /S
Log52=$(HomeDir)\WSS\patterns\*.* /S

Log53=$(HomeDir)\Private\AuthorStore\*.* /S

Log54=$(HomeDir)\HTTPDB\dbADScope.* /S
Log55=$(HomeDir)\HTTPDB\dbADPredefinedScope.* /S
Log56=$(HomeDir)\HTTPDB\dbADCredential.* /S

Log57=$(HomeDir)\Private\SortingRuleStore\SortingRule.xml

Log58=$(HomeDir)\Log\Outside Server Management Report\*

Log59=$(HomeDir)\Private\AuthorStore\RBAUserProfile.ini
Log60=$(HomeDir)\Log\Security Compliance Report\*

Log61=$(HomeDir)\LWCS\*.log*
Log62=$(HomeDir)\LWCS\lwcs.ini
Log63=$(HomeDir)\LWCS\log.ini

Log64=$(HomeDir)\IntegratedFRS.csv
Log65=$(HomeDir)\IntegratedLWCS.csv

Log66=$(HomeDir)\Web\Service\*.dmp

Log67=$(HomeDir)\PLM\DAL\log\debug.log
Log68=$(HomeDir)\Web_OSCE\Web_console\HTML\widget\repository\log\diagnostic.log*
Log69=$(HomeDir)\Web_OSCE\Web_console\HTML\widget\repository\log\client_diagnostic.log*
Log70=$(HomeDir)\Log\FastCGI_*.log
Log71=$(HomeDir)\Log\PHP_*.log
Log72=$(HomeDir)\Log\PLM_*.log
Log73=$(HomeDir)\Log\plm_*.ini
Log74=$(WinDir)\PLM_Setup.log
Log75=$(WinDir)\Temp\php-errors.log

Log76=$(HomeDir)\Private\PolicyMgm.db

Log77=$(SystemDrive)\TMSM_PreInstall.log
Log78=$(SystemDrive)\TMSM_jre_install.log
Log79=$(SystemDrive)\TMSM_Install.log
Log80=$(SystemDrive)\TMSM_ServerInfo.Log
Log81=$(TMSMHomeDir)\debug.log
Log82=$(TMSMHomeDir)\TMSMMainService.InstallLog
Log83=$(TMSMHomeDir)\apache-activemq\*.* /S

Log84=$(HomeSqlDir)\Setup Bootstrap\LOG\*.* /S
Log85=$(TMSMHomeDir)\apache-activemq\conf\activemq.xml
Log86=$(TMSMHomeDir)\apache-activemq\conf\broker.pem
Log87=$(TMSMHomeDir)\apache-activemq\conf\broker.ks

Log88=$(HomeDir)\LWCS\CCCAServer.ini
Log89=$(HomeDir)\LWCS\CCCABlackListStatus.ini
Log90=$(HomeDir)\LWCS\db\ccca.db

Log91=$(HomeSql2k8Dir)\Setup Bootstrap\LOG\*.* /S
Log92=$(TMSMHomeDir)\debug.log.*

Log93=$(HomeDir)\WSS\spsc\log\*.*
Log94=$(HomeDir)\LWCS\AU_Data\AU_Log\TmuDump.txt
Log95=$(HomeDir)\LWCS\*.ini
Log96=$(HomeDir)\WSS\*.ini
Log97=$(WinDir)\OfcSvr.log*
Log98=$(HomeDir)\ous.ini
Log99=$(HomeDir)\web\TmOPP\TmOPP.ini
Log100=$(TMSMHomeDir)\AU_Data\* /s
Log101=$(TMSMHomeDir)\TMSM_HTML\ActiveUpdate\server.ini
Log102=$(TMSMHomeDir)\TMSM_HTML\ActiveUpdate\ClientInstall\* /s
Log103=$(TMSMHomeDir)\getserver.ini

Log104=$(HomeTMSMSqlDir)\Log\*.* /S
Log105=$(SystemRootDir)\..\TMSM_DBInstall.log
Log106=$(SystemRootDir)\..\TMSM_serverInfoTool.log

Log107=$(HomeDir)\Admin\hotfix_history.ini
Log108=$(HomeDir)\OfUninst.ini
Log109=C:\inetpub\logs\LogFiles\* /S
Log110=$(HomeDir)\WSS\spsc\conf\activeindex
Log111=$(HomeDir)\WSS\spsc\conf\attr

Log112=$(SystemRootDir)\..\TMSM_AzureHelper.log
Log113=$(SystemRootDir)\..\TMSM_AzureStorage.log
Log114=$(SystemRootDir)\..\TMSM_Scripts.log

Log115=$(TMSMHomeDir)\TMSMUtilTool.log